Bug 411511 - Review Request: perl-Class-Accessor-Grouped - Lets you build groups of accessors
Summary: Review Request: perl-Class-Accessor-Grouped - Lets you build groups of accessors
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Class-Acc...
Whiteboard:
Keywords:
Depends On: perl-MRO-Compat
Blocks: perl-DBIx-Class
TreeView+ depends on / blocked
 
Reported: 2007-12-05 04:33 UTC by Chris Weyl
Modified: 2010-09-02 21:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 17:54:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-12-05 04:33:02 UTC
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Class-Accessor-Grouped-0.07000-1.fc7.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Class-Accessor-Grouped.spec

Description:
This class lets you build groups of accessors that will call different
getters and setters.

Comment 1 Chris Weyl 2007-12-05 04:33:32 UTC
This is a DBIx::Class prereq.

Comment 2 Parag AN(पराग) 2007-12-06 11:18:19 UTC
rpmlint gave me
perl-Class-Accessor-Grouped.noarch: E: zero-length
/usr/share/doc/perl-Class-Accessor-Grouped-0.07000/t/lib/NotReallyAClass.pm

I think you should remove it.

Comment 3 Chris Weyl 2007-12-06 16:56:10 UTC
(In reply to comment #2)
> rpmlint gave me
> perl-Class-Accessor-Grouped.noarch: E: zero-length
> /usr/share/doc/perl-Class-Accessor-Grouped-0.07000/t/lib/NotReallyAClass.pm
> 
> I think you should remove it.

This is part of the test suqite, included in %doc as docs, and is expected.

Comment 4 Parag AN(पराग) 2007-12-07 01:38:44 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM But NOT for RPM.
==>see comment#3
+ source files match upstream url
e38f47b4732df2e3af1cdcea035f9b2b  Class-Accessor-Grouped-0.07000.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t t/*/*.t
t/accessors........ok
t/accessors_ro.....ok
t/accessors_wo.....ok
t/basic............ok
t/component........ok
t/inherited........ok
t/manifest.........skipped
        all skipped: set TEST_AUTHOR to enable this test
t/pod_coverage.....skipped
        all skipped: set TEST_AUTHOR to enable this test
t/pod_spelling.....skipped
        all skipped: set TEST_AUTHOR to enable this test
t/pod_syntax.......skipped
        all skipped: set TEST_AUTHOR to enable this test
t/strict...........skipped
        all skipped: set TEST_AUTHOR to enable this test
t/style_no_tabs....skipped
        all skipped: set TEST_AUTHOR to enable this test
t/warnings.........skipped
        all skipped: set TEST_AUTHOR to enable this test
All tests successful, 7 tests skipped.
Files=13, Tests=188,  1 wallclock secs ( 0.60 cusr +  0.16 csys =  0.76 CPU)
+ Package perl-Class-Accessor-Grouped-0.07000-1.fc9 ->
 Provides: perl(Class::Accessor::Grouped) = 0.07000
 Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(Class::Inspector)
perl(MRO::Compat) perl(Scalar::Util) perl(strict) perl(vars) perl(warnings)

APPROVED.


Comment 5 Chris Weyl 2007-12-07 02:00:50 UTC
New Package CVS Request
=======================
Package Name: perl-Class-C3-Componentised
Short Description: Load mix-ins or components to your C3-based class
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2007-12-07 17:06:22 UTC
Do you mean the package name to be perl-Class-Accessor-Grouped here? 
Can you provide an updated name and description and reset the flag?

Comment 7 Chris Weyl 2007-12-07 17:14:51 UTC
And this is why I alias my bugs.... sigh

Comment 8 Chris Weyl 2007-12-07 17:15:11 UTC
New Package CVS Request
=======================
Package Name: perl-Class-Accessor-Grouped
Short Description: Lets you build groups of accessors
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig

Comment 9 Kevin Fenzi 2007-12-07 17:18:10 UTC
cvs done.

Comment 10 Chris Weyl 2007-12-10 17:54:46 UTC
Imported and built; thanks for the review!

Comment 11 Iain Arnell 2010-09-02 14:23:01 UTC
Package Change Request
======================
Package Name: perl-Class-Accessor-Grouped
New Branches: el6
Owners: iarnell tremble

Comment 12 Kevin Fenzi 2010-09-02 21:18:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.